/****************************************************************************
 File name:  simpleExample.c
 Author:     chadd williams
 Date:       Feb 21, 2018
 Class:      CS 460
 Assignment: Fork/Exec/Pipe Lab
 Purpose:    Provide an executable that can be run via exec
 ****************************************************************************/

#include <sys/utsname.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <errno.h>
#include <unistd.h>

/****************************************************************************
Function: 		main

Description: 	Print the command name and first command line argument as
							specified in argv.  Print characters 33 to 126, inclusive.
							Sleep for 1.5 seconds.

Parameters: 	argc - the  number of command line arguments
 	 	 	 	 	 	 	argv - an array of null terminated strings that represent the
 	 	 	 	 	 	 		command line arguments.

Returned: 		int - 0 if success
****************************************************************************/
int main(int argc, char** argv)
{
	unsigned char theChar;
	struct timespec sReq, sRem;

	printf("Command: %s -> argument: %s\n", argv[0], argv[1]);
	for( theChar = 33; theChar < 127; theChar ++)
	{
		printf("%c:", theChar);
	}

	printf("\n");
	sReq.tv_sec = 1;
	sReq.tv_nsec = 500000000;

	printf("\n nanosleep ------------------------------------\n\n");
	fflush(stdout);

	// look! it's nanosleep!
	nanosleep(&sReq, NULL);
	return 0;

}
